package com.loafle.overflow.container.service;

import com.loafle.overflow.container.client.handler.RPCClientHandler;
import com.loafle.overflow.core.annotation.RPCService;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.service.container.ProbeService;

import org.springframework.beans.factory.annotation.Autowired;

/**
 * ProbeService
 */
@RPCService("ProbeService")
public class ContainerProbeService implements ProbeService {
  @Autowired()
  private RPCClientHandler rpcClientHandler;

	@Override
	public void initService() throws Exception {
		
	}

	@Override
	public void startService() throws Exception {
		
	}

	@Override
	public void stopService() {
		
	}

  @Override
	public void destroyService() {
		
	}

  public void send(String method, Object... params) throws OverflowException {
		this.rpcClientHandler.send(method, params);
  }
}